<?php
/**
 * 最近のエントリ
 */
require_once 'Platy/Widget.php';

define(MAX_ENTRY, 5);   // 表示件数

class Platy_Widget_RecentEntry extends Platy_Widget
{
    public function install() { return true; }
    public function uninstall() { return true; }

    public function getSummary()
    {
        return '最近のエントリを表示する';
    }
    
    public function show()
    {
        global $db;
        
        echo '<div class="widget">' . "\n";
        
        echo '<div class="title">' . "\n";
        echo '<div class="left">最近のエントリ</div>';
        echo '<div class="right">';
        echo '<a href="' . BASE_URL . 'Syndication/RecentEntry/">';
        echo '<image src="' . BASE_URL . 'media/system/feed.png" alt="feed" />';
        echo '</a>';
        echo '</div>' . "\n";
        echo '</div>' . "\n";
        
        echo '<div class="main">' . "\n";
        
        $sql = "SELECT id FROM Platy_Content_Base WHERE type != 'Folder' ORDER BY modified DESC";
        $rows = $db->fetchAll($sql);
        $n = MAX_ENTRY;
        if (count($rows) < MAX_ENTRY) { $n = count($rows); }
        
        echo '<ul>';
        for ($i = 0; $i < $n; $i++) {
            $row = $rows[$i];
            $NodeId = $row['id'];
            $content = getContentFromNodeId($NodeId);
            echo '<li>';
            echo '<a href="' . BASE_URL . $content['url'] . '">';
            echo $content['title'];
            echo '&nbsp;(' . $content['modified'] . ')';
            echo '</a>';
            echo '</li>' . "\n";
            //var_dump($content);
        }
        echo '</ul>';
        
        echo '</div>' . "\n";
        echo '</div>' . "\n";
    }
}
?>