<?php
/**
 * メンバーToolbox
 */
require_once 'Platy/Widget.php';

class Platy_Widget_Member extends Platy_Widget
{
    public function install() { return true; }
    public function uninstall() { return true; }

    public function getSummary()
    {
        return 'メンバーToolbox';
    }
    
    public function show()
    {
        global $db, $config, $Me;
        
        echo '<div class="widget">' . "\n";
        echo '<div class="title">' . "\n";
        echo 'メンバー';
        echo '</div>' . "\n";
        
        echo '<div class="main">' . "\n";
        
        if ($Me->isLoggedIn() == false) {
            echo '<a href="' . BASE_URL . 'Member/login/' . '">';
            echo 'ログイン';
            echo '</a><br />';
            echo '<a href="' . BASE_URL . 'Member/register/">メンバー登録</a><br />' . "\n";
        }
        else {
            echo "ログインしています<br />\n";
            echo '<a href="' . BASE_URL . 'Member/editProfile/' . '">';
            echo 'プロフィール編集';
            echo '</a><br />' . "\n";
            echo '<a href="' . BASE_URL . 'Member/logout/' . '">';
            echo 'ログアウト';
            echo '</a><br />' . "\n";
        }
        
        echo '</div>' . "\n";
        echo '</div>' . "\n";
    }
}
?>